import java.applet.Applet;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;

public class GraphicsApplet extends Applet {
   Font appFont;
   Color appColor;
   String appShape;
   String appText;
   Image image;

   public void init() {
      this.appFont = new Font("Helvetica", 1, 14);
      String var1 = ((Applet)this).getParameter("COLOR");
      if (var1 != null) {
         this.appColor = this.colorFromString(var1, Color.red);
      }

      this.appShape = ((Applet)this).getParameter("SHAPE");
      if (this.appShape == null) {
         this.appShape = "Line";
      }

      this.appText = ((Applet)this).getParameter("TEXT");
      if (this.appText == null) {
         this.appText = "Graphics";
      }

      var1 = ((Applet)this).getParameter("IMAGE");
      if (var1 != null) {
         this.image = ((Applet)this).getImage(((Applet)this).getDocumentBase(), var1);
      }

   }

   public Color colorFromString(String var1, Color var2) {
      try {
         Integer var3 = Integer.valueOf(var1, 16);
         return new Color(var3);
      } catch (NumberFormatException var4) {
         return var2;
      }
   }

   public void drawCenteredString(String var1, Graphics var2, Dimension var3) {
      FontMetrics var4 = var2.getFontMetrics(this.appFont);
      var2.drawString(var1, (var3.width - var4.stringWidth(var1)) / 2, (var3.height - var4.getHeight()) / 2);
   }

   public void paint(Graphics var1) {
      Dimension var2 = ((Component)this).size();
      var1.setColor(this.appColor);
      if (this.appShape.equalsIgnoreCase("line")) {
         var1.drawLine(0, 0, var2.width, var2.height);
      } else if (this.appShape.equalsIgnoreCase("rectangle")) {
         var1.drawRect(0, 0, var2.width - 1, var2.height - 1);
      } else if (this.appShape.equalsIgnoreCase("image")) {
         var1.drawImage(this.image, 0, 0, var2.width, var2.height, this);
      } else {
         if (this.appShape.equalsIgnoreCase("string")) {
            var1.setFont(this.appFont);
            this.drawCenteredString(this.appText, var1, var2);
         }

      }
   }
}
